%global momorel 1
%global date 20090612
%global qtver 4.5.1

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global mod_path ibus-0.1

Summary: Input Bus for Linux OS
Name: ibus
Version: 1.1.0
Release: 0.%{date}.%{momorel}m%{?dist}
License: LGPLv2+
URL: http://code.google.com/p/ibus/
Group: System Environment/Libraries
Source0: http://ibus.googlecode.com/files/%{name}-%{version}.%{date}.tar.gz
NoSource: 0
Source1: xinput-ibus
Patch0: %{name}-%{version}-build-qt4-immodule.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: dbus-python >= 0.83.0
Requires: gnome-python2-gconf
Requires: pygtk2
Requires: pyxdg
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: dbus-glib-devel
BuildRequires: gettext-devel
BuildRequires: gtk2-devel
BuildRequires: libtool
BuildRequires: python
BuildRequires: qt-devel = %{qtver}

%description
IBus means the Input Bus. It is a new input framework for Linux OS. It provides
full featured and user friendly input method user interface. It also may help
developers to develop input method easily.

%package gtk
Summary: IBus im module for gtk2
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
PreReq: gtk2

%description gtk
This package contains ibus im module for gtk2.

%package qt
Summary: IBus im module for qt4
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt = %{qtver}

%description qt
This package contains ibus im module for qt4.

%package devel
Summary:    Development tools for ibus
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   glib2-devel
Requires:   dbus-devel
Requires:   gtk-doc

%description devel
The ibus-devel package contains the header files and developer
docs for ibus.

%prep
%setup -q -n %{name}-%{version}.%{date}

%patch0 -p1 -b .build-qt4-immodule

#./autogen.sh

%build
%configure --disable-static \
	   --disable-iso-codes-check \
	   --enable-gtk-doc 
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/gtk-2.0/*/immodules/im-ibus.la
rm -f %{buildroot}%{_libdir}/libibus*.la


mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit/xim.d/ibus
chmod 644 %{buildroot}%{_sysconfdir}/X11/xinit/xim.d/ibus

# install .desktop files
echo "NoDisplay=true" >> %{buildroot}%{_datadir}/applications/ibus.desktop
echo "NoDisplay=true" >> %{buildroot}%{_datadir}/applications/ibus-setup.desktop
echo "X-GNOME-Autostart-enabled=false" >> %{buildroot}%{_sysconfdir}/xdg/autostart/ibus.desktop

rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/ibus.desktop

desktop-file-install --delete-original --vendor '' \
  --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
 
%post gtk
# %{_bindir}/update-gtk-immodules %{_host} || :
  
%postun gtk
# %{_bindir}/update-gtk-immodules %{_host} || :

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{python_sitelib}/ibus
%{python_sitelib}/ibus/*
%{_bindir}/ibus-daemon
%{_bindir}/ibus-setup
%{_datadir}/ibus
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_libexecdir}/ibus-gconf
%{_libexecdir}/ibus-ui-gtk
%{_libexecdir}/ibus-x11
# %{_sysconfdir}/xdg/autostart/ibus.desktop
%{_sysconfdir}/gconf/schemas/ibus.schemas
%config %{_sysconfdir}/X11/xinit/xim.d/ibus
%{_libdir}/libibus.so.*

%files gtk
%defattr(-,root,root)
%{_libdir}/gtk-2.0/*/immodules/im-ibus.so

%files qt
%defattr(-,root,root)
%{_libdir}/qt4/plugins/inputmethods/libibus.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/*

%changelog
* Thu Jun 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-0.20090612.1m)
- update 1.1.0-0.20090612

* Wed Jun  3 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-0.20090531.1m)
- update 1.1.0-0.20090531

* Sat May  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-0.20090508.3m)
- remove desktop.patch

* Sat May  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-0.20090508.2m)
- stop using autogen.sh to enable build
- re-enable qt4-immodule
- update and re-apply desktop.patch

* Sat May  9 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-0.20090508.1m)
- update 1.1.0-0.20090508

* Fri May  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.0-0.20090407.2m)
- rebuild against qt-4.5.1-1m

* Tue Apr  7 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-0.20090407.1m)
- update 1.1.0-0.20090407

* Wed Apr  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-0.20090311.2m)
- remove duplicate files

* Mon Mar 16 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-0.20090311.1m)
- update 1.1.0-0.20090311

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.1-0.20081023.2m)
- rebuild against rpm-4.6

* Sat Jan  3 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20081023.1m)
- update 0.1.1-0.20081023

* Sat Oct 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20081016.1m)
- update 0.1.1-0.20081016

* Fri Oct 10 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20081006.1m)
- update 0.1.1-0.20081006

* Sun Oct  5 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20081004.1m)
- update 0.1.1-0.20081004

* Wed Oct  1 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20081001.1m)
- update 0.1.1-0.20081001

* Tue Sep 23 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20080923.1m)
- update 0.1.1-0.20080923

* Wed Sep 17 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20080917.1m)
- update 0.1.1-0.20080917

* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20080914.1m)
- update 0.1.1-0.20080914

* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-0.20080908.1m)
- update 0.1.1

* Tue Aug 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.20080819.1m)
- update to 20080819 git snapshot

* Tue Aug 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.20080810.2m)
- add Name[ja] to ibus-setup.desktop

* Tue Aug 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.20080810.1m)
- initial package for Momonga Linux
